Bug 133022 - CAN-2004-0908 javascript clipboard information leakage
Summary: CAN-2004-0908 javascript clipboard information leakage
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mozilla   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-20 22:05 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 14:19:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Final patch for this issue (1.45 KB, patch)
2004-09-23 13:51 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:486 high SHIPPED_LIVE Critical: mozilla security update 2004-09-30 04:00:00 UTC

Description Josh Bressers 2004-09-20 22:05:30 UTC
Untrusted javascript code can read and write to the clipboard,
stealing any sensitive data the user might have copied.

Workaround: disable javascript

See 
http://www.mozilla.org/projects/security/known-vulnerabilities.html#mozilla1.7.3
for more information.

Comment 1 Josh Bressers 2004-09-20 22:26:32 UTC
This issue is going to be RHSA-2004:486.

Comment 2 Josh Bressers 2004-09-23 13:51:32 UTC
Created attachment 104191 [details]
Final patch for this issue

Comment 3 Josh Bressers 2004-09-30 14:19:59 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-486.html



Note You need to log in before you can comment on or make changes to this bug.